%define name	xmltv
%define version 0.5.39
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A set of utilities to manage your TV viewing
URL:		http://membled.com/work/apps/xmltv/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	tv_grab_be	
Patch1:		xmltv-0.5.38-de.patch.bz2
License:	GPL
Group:		Video
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	perl-Archive-Zip
BuildRequires:	perl-CGI
BuildRequires:	perl-DateManip => 5.42
BuildRequires:	perl-devel
BuildRequires:	perl-HTML-LinkExtractor
BuildRequires:	perl-HTML-TableExtract => 1.08
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-HTTP-Cache-Transparent
BuildRequires:	perl-IO-stringy
BuildRequires:	perl-libwww-perl => 5.65
BuildRequires:	perl-Lingua-Preferred
BuildRequires:	perl-Lingua-EN-Numbers-Ordinate
BuildRequires:	perl-SOAP-Lite
BuildRequires:	perl-Term-ProgressBar >= 2.03
BuildRequires:	perl-Term-ReadKey
BuildRequires:	perl-Text-Kakasi
BuildRequires:	perl-Tk-TableMatrix
BuildRequires:	perl-Unicode-String
BuildRequires:	perl-WWW-Mechanize >= 1.02
BuildRequires:	perl-XML-LibXML
BuildRequires:	perl-XML-Simple
BuildRequires:	perl-XML-Twig => 3.09
BuildRequires:	perl-XML-Writer >= 0.4.6
Requires:	perl-HTML-Parser >= 3.34

%description
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

There are five backends at present, grabbing TV listings for Canada,
the USA, the UK, Germany, Austria, Sweden and Norway. There are
filters to sort the listings by date, to remove shows that have
already been broadcast, and a couple of programmes to organize your
viewing by storing preferences of what shows you watch. There are a
couple of backends to produce printed output.

%package -n	perl-XMLTV
Summary:	Perl modules for managing your TV viewing
Group:		Development/Perl

%description -n perl-XMLTV
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the perl modules from xmltv.

%package	grabbers-be
Summary:	Belgian grabbers for xmltv
Group:		Video
Requires:	locales-be
Provides:	xmltv-grabbers

%description grabbers-be
This package contains the belgian grabbers for xmltv.

%package	grabbers-de
Summary:	German grabbers for xmltv
Group:		Video
Requires:	locales-de
Provides:	xmltv-grabbers

%description grabbers-de
This package contains the german grabbers for xmltv.

%package	grabbers-dk
Summary:	Danish grabbers for xmltv
Group:		Video
Requires:	locales-da
Provides:	xmltv-grabbers

%description grabbers-dk
This package contains the danish grabbers for xmltv.

%package	grabbers-es
Summary:	Spanish grabbers for xmltv
Group:		Video
Requires:	locales-es
Provides:	xmltv-grabbers

%description grabbers-es
This package contains the spanish grabbers for xmltv.

%package	grabbers-fi
Summary:	Finish grabbers for xmltv
Group:		Video
Requires:	locales-fi
Provides:	xmltv-grabbers

%description grabbers-fi
This package contains the finish grabbers for xmltv.

%package	grabbers-fr
Summary:	French grabbers for xmltv
Group:		Video
Requires:	locales-fr
Provides:	xmltv-grabbers

%description grabbers-fr
This package contains the french grabbers for xmltv.

%package	grabbers-huro
Summary:	Hungarian-Romanian grabbers for xmltv
Group:		Video
Requires:	locales-hu
Requires:	locales-ro
Provides:	xmltv-grabbers

%description grabbers-huro
This package contains the hungarian-romanian grabbers for xmltv.

#%package	grabbers-it
#Summary:	Italian grabbers for xmltv
#Group:		Video
#Requires:	locales-it
#Provides:	xmltv-grabbers
#
#%description grabbers-it
#This package contains the italian grabbers for xmltv.

%package	grabbers-jp
Summary:	Japanese grabbers for xmltv
Group:		Video
Requires:	locales-ja
Provides:	xmltv-grabbers

%description grabbers-jp
This package contains the japanese grabbers for xmltv.

%package	grabbers-na
Summary:	North-american grabbers for xmltv
Group:		Video
Provides:	xmltv-grabbers

%description grabbers-na
This package contains the north-american grabbers for xmltv.

%package	grabbers-nl
Summary:	Dutch grabbers for xmltv
Group:		Video
Requires:	locales-nl
Provides:	xmltv-grabbers

%description grabbers-nl
This package contains the dutch grabbers for xmltv.

%package	grabbers-no
Summary:	Norwegian grabbers for xmltv
Group:		Video
Requires:	locales-no
Provides:	xmltv-grabbers

%description grabbers-no
This package contains the norwegian grabbers for xmltv.

%package	grabbers-pt
Summary:	Portugese grabbers for xmltv
Group:		Video
Requires:	locales-pt
Provides:	xmltv-grabbers

%description grabbers-pt
This package contains the portugese grabbers for xmltv.

%package	grabbers-se
Summary:	Swedish grabbers for xmltv
Group:		Video
Requires:	locales-se
Provides:	xmltv-grabbers

%description grabbers-se
This package contains the swedish grabbers for xmltv.

%package	grabbers-uk
Summary:	English grabbers for xmltv
Group:		Video
Requires:	locales-uk
Provides:	xmltv-grabbers

%description grabbers-uk
This package contains the english grabbers for xmltv.

%package	gui
Summary:	Graphical frontends to xmltv
Group:		Video

%description gui
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains graphical frontends to xmltv.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1

%build
export PREFIX=/usr
%{__perl} Makefile.PL INSTALLDIRS=vendor 'PREFIX=$(MYDESTDIR)'%{_prefix} <<EOF
yes
EOF

%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install %SOURCE1 $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/tv_cat
%{_bindir}/tv_extractinfo_en
%{_bindir}/tv_grep
%{_bindir}/tv_imdb
%{_bindir}/tv_remove_some_overlapping
%{_bindir}/tv_sort
%{_bindir}/tv_split
%{_bindir}/tv_to_latex
%{_bindir}/tv_to_text
%{_mandir}/man1/tv_cat.1*
%{_mandir}/man1/tv_extractinfo_en.1*
%{_mandir}/man1/tv_grep.1*
%{_mandir}/man1/tv_imdb.1*
%{_mandir}/man1/tv_remove_some_overlapping.1*
%{_mandir}/man1/tv_sort.1*
%{_mandir}/man1/tv_split.1*
%{_mandir}/man1/tv_to_latex.1*
%{_mandir}/man1/tv_to_text.1*
%{_docdir}/%{name}-%{version}

%files -n perl-XMLTV
%defattr(-,root,root)
%{perl_vendorlib}/XMLTV.pm
%{perl_vendorlib}/XMLTV
%{_mandir}/man3/*

%files grabbers-be
%defattr(-,root,root)
%{_bindir}/tv_grab_be

%files grabbers-de
%defattr(-,root,root)
%{_bindir}/tv_grab_de*
%{_mandir}/man1/tv_grab_de*.1*
%{_datadir}/xmltv/tv_grab_de_tvtoday

%files grabbers-dk
%defattr(-,root,root)
%{_bindir}/tv_grab_dk
%{_mandir}/man1/tv_grab_dk.1*

%files grabbers-es
%defattr(-,root,root)
%{_bindir}/tv_grab_es*
%{_mandir}/man1/tv_grab_es*.1*
%{_datadir}/xmltv/tv_grab_de_tvtoday

%files grabbers-fi
%defattr(-,root,root)
%{_bindir}/tv_grab_fi
%{_mandir}/man1/tv_grab_fi.1*

%files grabbers-fr
%defattr(-,root,root)
%{_bindir}/tv_grab_fr
%{_mandir}/man1/tv_grab_fr.1*

%files grabbers-huro
%defattr(-,root,root)
%{_bindir}/tv_grab_huro
%{_mandir}/man1/tv_grab_huro.1*

#%files grabbers-it
#%defattr(-,root,root)
#%{_bindir}/tv_grab_it*
#%{_mandir}/man1/tv_grab_it*.1*
#%{_datadir}/xmltv/tv_grab_it*

%files grabbers-jp
%defattr(-,root,root)
%{_bindir}/tv_grab_jp
%{_mandir}/man1/tv_grab_jp.1*

%files grabbers-na
%defattr(-,root,root)
%{_bindir}/tv_grab_na*
%{_mandir}/man1/tv_grab_na*.1*

%files grabbers-nl
%defattr(-,root,root)
%{_bindir}/tv_grab_nl*
%{_mandir}/man1/tv_grab_nl*.1*
%{_datadir}/xmltv/tv_grab_nl

%files grabbers-no
%defattr(-,root,root)
%{_bindir}/tv_grab_no
%{_mandir}/man1/tv_grab_no.1*

%files grabbers-pt
%defattr(-,root,root)
%{_bindir}/tv_grab_pt
%{_mandir}/man1/tv_grab_pt.1.bz2

%files grabbers-se
%defattr(-,root,root)
%{_bindir}/tv_grab_se*
%{_mandir}/man1/tv_grab_se*.1*

%files grabbers-uk
%defattr(-,root,root)
%{_bindir}/tv_grab_uk*
%{_mandir}/man1/tv_grab_uk*.1*
%{_datadir}/xmltv/tv_grab_uk*

%files gui
%defattr(-,root,root)
%{_bindir}/tv_check
%{_mandir}/man1/tv_check.1*

%changelog
* Mon Mar 14 2005 Stefan van der Eijk <stefan@mandrakes.org> 0.5.39-1mdk
- 0.5.29

* Mon Jan 24 2005 Stefan van der Eijk <stefan@mandrakes.org> 0.5.38-2mdk
- extra BuildRequires for 2nd sweedish grabber
- add portugese grabber package
- make package rpmbuildupdate aware

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.5.38-1mdk
- 0.5.38

* Wed Dec 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.37-3mdk 
- all grabbers subpackage provide xmltv-grabbers

* Tue Nov 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.37-2mdk 
- split grabbers to reduce dependencies
- some spec cleanup
- added locales dependencies, as suggested by rpmlint (not sure it is a good idea however)

* Mon Nov 29 2004 Stefan van der Eijk <stefan@mandrake.org> 0.5.37-1mdk
- 0.5.37

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.36-1mdk
- 0.5.36

* Tue Sep 28 2004 Stefan van der Eijk <stefan@mandrake.org> 0.5.35-1mdk
- 0.5.35
- added BuildRequires for tv_grab_uk_bleb

* Mon May 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.34-1mdk
- 0.5.34
- fr grabbers are now merged upstream

* Sat May 22 2004 Stefan van der Eijk <stefan@mandrake.org> 0.5.33-1mdk
- 0.5.33
- drop patch0
- BuildRequires: perl-WWW-Mechanize (tv_grab_na_icons)

* Wed Apr 21 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.32-4mdk
- add BuildRequires: perl-HTML-LinkExtractor for tv_grab_no
- add BuildRequires: perl-XML-LibXML for tv_grab_se

* Sun Apr 18 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.32-3mdk
- add BuildRequires: perl-SOAP-Lite for tv_grab_na_dd
- add BuildRequires: perl-Text-Kakasi for tv_grab_jp
- todo: add BuildRequires: perl-HTML-Entities
  perl-HTML-LinkExtractor for tv_grab_no

* Sat Apr 17 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.32-2mdk
- SOURCE1: XMLTV::Europe_TZ -->  XMLTV::DST

* Thu Apr 15 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.32-1mdk
- 0.5.32

* Mon Apr 12 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.31-1mdk
- 0.5.31

* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.29-1mdk
- 0.5.29

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.28-1mdk
- 0.5.28

* Sat Jan 17 2004 Stefan van der Eijk <stefan@eijk.nu> 0.5.27-1mdk
- merge changes from thac's package

* Mon Dec 15 2003 Erwan Velu <erwan@mandrakesoft.com> 0.5.25-3mdk
- New french tv grabber (http://www.lahiette.com/biboobox/download/tv_grab_fr.pl)

* Fri Dec 12 2003 Erwan Velu <erwan@mandrakesoft.com> 0.5.25-2mdk
- Adding requires to perl-HTML-Parser
- Adding xmltv grabber for france & belgium

* Wed Dec 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.25-1mdk
- 0.5.25

* Sun Nov 30 2003 Stefan van der Eijk <stefan@eijk.nu> 0.5.24-1mdk
- 0.5.23

* Wed Apr 09 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.9_utf8-1mdk
- Updated to latest version

* Thu Mar 27 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.8_utf8-2mdk
- Recompiled for Mandrake 9.1

* Mon Mar 24 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.8_utf8-1mdk
- Recompiled for Mandrake 9.0

* Fri Mar 14 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Fix dependeny to new perl-DateManip package.

* Mon Feb 10 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Upgraded to 0.5.7

* Sat Nov 30 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 0.5.3-0at4
- add description
- make noarch

* Sat Nov 30 2002 Ed Avis <ed@membled.com>
- fix answers to perl Makefile.PL
- add license

* Mon Nov 25 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de> 0.5.3-0at3
- upgrade to 0.5.3

* Wed Nov 13 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Initial build.
